/tasks
curl --request POST \
--url https://api.linkup.so/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
[
{
"input": {
"depth": "deep",
"excludeDomains": [
"wikipedia.org"
],
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": false,
"includeRawHtml": false,
"renderJs": false,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
},
"type": "research"
}
]
EOF[
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"toDate": "2025-01-01",
"includeImages": false,
"includeInlineCitations": false,
"includeSources": false,
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null,
"maxResults": 5
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}
]Tasks
/tasks
The /tasks endpoint allows you to run Linkup’s /search, /fetch, and /research calls in batch and asynchronously.
POST
/
v1
/
tasks
/tasks
curl --request POST \
--url https://api.linkup.so/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
[
{
"input": {
"depth": "deep",
"excludeDomains": [
"wikipedia.org"
],
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": false,
"includeRawHtml": false,
"renderJs": false,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
},
"type": "research"
}
]
EOF[
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"toDate": "2025-01-01",
"includeImages": false,
"includeInlineCitations": false,
"includeSources": false,
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null,
"maxResults": 5
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.linkup.so/llms.txt
Use this file to discover all available pages before exploring further.
Get your API key
Create a Linkup account for free to get your API key.
This is an asynchronous endpoint. It immediately returns the tasks’ identifiers,
before they complete. Use
GET /v1/tasks/:id to poll for
a specific task, or GET /v1/tasks
to list all your tasks.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsExample:
[
{
"input": {
"depth": "deep",
"excludeDomains": ["wikipedia.org"],
"includeDomains": ["microsoft.com", "agolution.com"],
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?"
},
"type": "search"
},
{
"input": {
"extractImages": false,
"includeRawHtml": false,
"renderJs": false,
"url": "https://docs.linkup.so"
},
"type": "fetch"
},
{
"input": {
"outputType": "sourcedAnswer",
"q": "Research the current state of the semiconductor market, covering key market dynamics, major industry players and their strategic positioning, recent analyst sentiment, and the main bull and bear cases for the sector. Ground the report in sourced, factual information."
},
"type": "research"
}
]Response
Tasks created successfully.
- Option 1
- Option 2
- Option 3
The date and time when the task was created.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
The error message if the task failed.
The unique identifier of the task.
Example:
"01234-abcd-56789"
The current status of the task.
Available options:
completed, failed, pending, processing Example:
"completed"
The date and time when the task status was last updated.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Allowed value:
"search"⌘I